| CustomiOSApi 1.09

Instance Methods | List of all members
CustomPrinterStatus Class Reference

This the container class to hold the printer status More...

`#import <CustomPrinterStatus.h>`

## Instance Methods
(id) | - initWithStatus:
| Create PrinterStatus object with a value More...
(Boolean) | - IsEqual:
| Compare PrinterStatus object More...
(Boolean) | - StsNOPAPER
(Boolean) | - StsNEARENDPAP
(Boolean) | - StsTICKETOUT
(Boolean) | - StsNOHEAD
(Boolean) | - StsNOCOVER
(Boolean) | - StsSPOOLING
(Boolean) | - StsPAPERROLLING
(Boolean) | - StsLFPRESSED
(Boolean) | - StsFFPRESSED
(Boolean) | - StsOVERTEMP
(Boolean) | - StsHLVOLT
(Boolean) | - StsPAPERJAM
(Boolean) | - StsCUTERROR
(Boolean) | - StsRAMERROR
(Boolean) | - StsEEPROMERROR

## Detailed Description

This the container class to hold the printer status

## Method Documentation

## ◆ initWithStatus:

- (id) initWithStatus: |  | (long) | lStatusPrinter |

Create PrinterStatus object with a value

Parameters

  lStatusPrinter | 32bit Status Mask

Returns

## ◆ IsEqual:

- (Boolean) IsEqual: |  | (CustomPrinterStatus *) | printerstatus |

Compare PrinterStatus object

Parameters

  printerstatus | PrinterStatus object

Returns

## ◆ StsCUTERROR

- (Boolean) StsCUTERROR |  |  |

Indicates that the printer is in CUTTER ERROR Status. Refer to Printer manual to know if this status is supported by the device

## ◆ StsEEPROMERROR

- (Boolean) StsEEPROMERROR |  |  |

Indicates that the printer is in EEPROM ERROR Status. Refer to Printer manual to know if this status is supported by the device

## ◆ StsFFPRESSED

- (Boolean) StsFFPRESSED |  |  |

Indicates that the printer is in FFPRESSED Status. Refer to Printer manual to know if this status is supported by the device

## ◆ StsHLVOLT

- (Boolean) StsHLVOLT |  |  |

Indicates that the printer is in OVERVOLTAGE Status. Refer to Printer manual to know if this status is supported by the device

## ◆ StsLFPRESSED

- (Boolean) StsLFPRESSED |  |  |

Indicates that the printer is in LFPRESSED Status. Refer to Printer manual to know if this status is supported by the device

## ◆ StsNEARENDPAP

- (Boolean) StsNEARENDPAP |  |  |

Indicates that the printer is in NEAR PAPER END Status. Refer to Printer manual to know if this status is supported by the device

## ◆ StsNOCOVER

- (Boolean) StsNOCOVER |  |  |

Indicates that the printer is in COVER OPEN Status. Refer to Printer manual to know if this status is supported by the device

## ◆ StsNOHEAD

- (Boolean) StsNOHEAD |  |  |

Indicates that the printer is in HEAD UP Status. Refer to Printer manual to know if this status is supported by the device

## ◆ StsNOPAPER

- (Boolean) StsNOPAPER |  |  |

Indicates that the printer is in NO PAPER Status. Refer to Printer manual to know if this status is supported by the device

## ◆ StsOVERTEMP

- (Boolean) StsOVERTEMP |  |  |

Indicates that the printer is in OVERTEMPERATURE Status. Refer to Printer manual to know if this status is supported by the device

## ◆ StsPAPERJAM

- (Boolean) StsPAPERJAM |  |  |

Indicates that the printer is in PAPER JAM Status. Refer to Printer manual to know if this status is supported by the device

## ◆ StsPAPERROLLING

- (Boolean) StsPAPERROLLING |  |  |

Indicates that the printer is in PAPER ROLLING Status. Refer to Printer manual to know if this status is supported by the device

## ◆ StsRAMERROR

- (Boolean) StsRAMERROR |  |  |

Indicates that the printer is in RAM ERROR Status. Refer to Printer manual to know if this status is supported by the device

## ◆ StsSPOOLING

- (Boolean) StsSPOOLING |  |  |

Indicates that the printer is in SPOOLING Status. Refer to Printer manual to know if this status is supported by the device

## ◆ StsTICKETOUT

- (Boolean) StsTICKETOUT |  |  |

Indicates that the printer is in TICKET OUT Status. Refer to Printer manual to know if this status is supported by the device